<p-panel header="Report Permintaan Pembelian" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div class="ui-g">
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <label>Tanggal Dari</label>
                        <div>
                            <p-calendar [showIcon]="true" [(ngModel)]="tgl1" dateFormat="dd-M-yy"></p-calendar>
                        </div>
                    </div>

                    <div class="ui-g-4">
                        <label>Sampai</label>
                        <div>
                            <p-calendar [showIcon]="true" [(ngModel)]="tgl2" dateFormat="dd-M-yy">
                            </p-calendar>
                        </div>
                    </div>
                    <div class="ui-g-4">
                        <label>PIC</label>
                        <div>
                            <p-dropdown [options]="pics" [(ngModel)]="selectedPIC" id="field_PIC">
                            </p-dropdown>
                        </div>
                    </div>
                    <div class="ui-g-4">
                        <label>Jenis Laporan</label>
                        <div>
                            <p-dropdown [options]="types" [(ngModel)]="selectedType" id="field_TYPE">
                            </p-dropdown>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <button type="button" class="btn btn-primary btn-block" (click)="print()">
                            <span class="fa fa-print"></span>&nbsp;print
                        </button>
                    </div>
                    <div class="ui-g-4">
                        <button type="button" class="btn btn-primary btn-block" (click)="exportExcel()">
                            <span class="fa fa-download"></span>&nbsp;Download
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div *ngIf="isview">
        <div>
            <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
            </button>
        </div>
        <div *ngIf="pdfSrc">
            <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true"></pdf-viewer>
        </div>
    </div>
    <div style="margin-bottom: 10px;"></div>
</p-panel>